Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# MemoryBasedIteratorConcept Struct Template Reference
[StepIteratorConcept]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename Iterator>
struct boost::gil::MemoryBasedIteratorConcept< Iterator >

Concept of a random-access iterator that can be advanced in memory units (bytes or bits).

    concept MemoryBasedIteratorConcept<boost_concepts::RandomAccessTraversalConcept Iterator> {
        typename byte_to_memunit<Iterator>; where metafunction<byte_to_memunit<Iterator> >;
        std::ptrdiff_t      memunit_step(const Iterator&);
        std::ptrdiff_t      memunit_distance(const Iterator& , const Iterator&);
        void                memunit_advance(Iterator&, std::ptrdiff_t diff);
        Iterator            memunit_advanced(const Iterator& p, std::ptrdiff_t diff) { Iterator tmp; memunit_advance(tmp,diff); return tmp; }
        Iterator::reference memunit_advanced_ref(const Iterator& p, std::ptrdiff_t diff) { return *memunit_advanced(p,diff); }
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp